<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: Remove rust-piston-window-0.105. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/fabric-management.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='c974ba44b878a1f98fbddd3f84bceb6ad6ca31de'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'> class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>refs</a><a href='/guix/log/gnu/packages/patches/doxygen-hurd.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/doxygen-hurd.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>tree</a><a href='/guix/commit/gnu/packages/patches/doxygen-hurd.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>commit</a><a href='/guix/diff/gnu/packages/patches/doxygen-hurd.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/doxygen-hurd.patch'>
<input type='hidden' name='id' value='ab9f9b582e510e3d1133ec29242e70fca1d2997a'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>root</a>/<a href='/guix/tree/gnu?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>gnu</a>/<a href='/guix/tree/gnu/packages?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>patches</a>/<a href='/guix/tree/gnu/packages/patches/doxygen-hurd.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>doxygen-hurd.patch</a></div><div class='content'>blob: a40923184b7d3a605b38be2da343da495b1500c4 (<a href='/guix/about/gnu/packages/patches/doxygen-hurd.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>about</a>) (<a href='/guix/plain/gnu/packages/patches/doxygen-hurd.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
</pre></td>
<td class='lines'><pre><code>Upstream status: Adapted from upstream.

From d3d968e5835f449d7ea715f45160db81ea906303 Mon Sep 17 00:00:00 2001
From: Samuel Thibault &lt;samuel.thibault@ens-lyon.org&gt;
Date: Tue, 16 Aug 2022 20:29:54 +0200
Subject: [PATCH] Fix build on GNU/Hurd

There is no path length limitation there, even via pathconf.  But glibc
provides a getcwd function that allocates the buffer dynamically so we can
just leverage that.
---
 include/ghc/filesystem.hpp | 7 +++++++
 1 file changed, 7 insertions(+)

--- a/filesystem/filesystem.hpp.orig	2022-08-11 22:14:32.000000000 +0200
+++ b/filesystem/filesystem.hpp	2023-06-13 07:26:25.310000000 +0200
@@ -4081,6 +4081,13 @@
         return path();
     }
     return path(std::wstring(buffer.get()), path::native_format);
+#elif defined(__GLIBC__)
+    std::unique_ptr&lt;char, decltype(&amp;std::free)&gt; buffer { ::getcwd(NULL, 0), std::free };
+    if (buffer == nullptr) {
+        ec = detail::make_system_error();
+        return path();
+    }
+    return path(buffer.get());
 #else
     size_t pathlen = static_cast&lt;size_t&gt;(std::max(int(::pathconf(".", _PC_PATH_MAX)), int(PATH_MAX)));
     std::unique_ptr&lt;char[]&gt; buffer(new char[pathlen + 1]);
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>