<!DOCTYPE html>
<html lang='en'>
<head>
<title>TODO - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/TODO?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a62aadf216f36fae5b1454cb5a63f6f4b259e865'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>lect> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=4fe742381222ac975e6af091266ad741b06c6135'>refs</a><a href='/guix/log/gnu/packages/patches/elixir-path-length.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/elixir-path-length.patch?id=4fe742381222ac975e6af091266ad741b06c6135'>tree</a><a href='/guix/commit/gnu/packages/patches/elixir-path-length.patch?id=4fe742381222ac975e6af091266ad741b06c6135'>commit</a><a href='/guix/diff/gnu/packages/patches/elixir-path-length.patch?id=4fe742381222ac975e6af091266ad741b06c6135'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/elixir-path-length.patch'>
<input type='hidden' name='id' value='4fe742381222ac975e6af091266ad741b06c6135'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=4fe742381222ac975e6af091266ad741b06c6135'>root</a>/<a href='/guix/tree/gnu?id=4fe742381222ac975e6af091266ad741b06c6135'>gnu</a>/<a href='/guix/tree/gnu/packages?id=4fe742381222ac975e6af091266ad741b06c6135'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=4fe742381222ac975e6af091266ad741b06c6135'>patches</a>/<a href='/guix/tree/gnu/packages/patches/elixir-path-length.patch?id=4fe742381222ac975e6af091266ad741b06c6135'>elixir-path-length.patch</a></div><div class='content'>blob: aa8bf38829dca7492aa11772e38223e6a87fd692 (<a href='/guix/about/gnu/packages/patches/elixir-path-length.patch?id=4fe742381222ac975e6af091266ad741b06c6135'>about</a>) (<a href='/guix/plain/gnu/packages/patches/elixir-path-length.patch?id=4fe742381222ac975e6af091266ad741b06c6135'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></td>
<td class='lines'><pre><code>In the package definition the call to the command 'git' is substituted with
the full path to the git executable. This change causes the mix formatting tool
to complain that the line is too long. This workaround reformats the file
after the substitution is made.

--- a/Makefile
+++ b/Makefile
@@ -213,6 +213,7 @@
 TEST_ERLS = $(addprefix $(TEST_EBIN)/, $(addsuffix .beam, $(basename $(notdir $(wildcard $(TEST_ERL)/*.erl)))))
 
 test_formatted: compile
+	bin/elixir bin/mix format lib/mix/lib/mix/scm/git.ex
 	bin/elixir bin/mix format --check-formatted
 
 test_erlang: compile $(TEST_ERLS)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>