<!DOCTYPE html>
<html lang='en'>
<head>
<title>aegis-perl-tempdir2.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/aegis-perl-tempdir2.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a6a7336964da06abba9dd40ce8d7496c9c711177'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>b right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>refs</a><a href='/guix/log/gnu/packages/patches/emacs-undohist-ignored.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/emacs-undohist-ignored.patch?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>tree</a><a href='/guix/commit/gnu/packages/patches/emacs-undohist-ignored.patch?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>commit</a><a href='/guix/diff/gnu/packages/patches/emacs-undohist-ignored.patch?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/emacs-undohist-ignored.patch'>
<input type='hidden' name='id' value='a6a7336964da06abba9dd40ce8d7496c9c711177'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>root</a>/<a href='/guix/tree/gnu?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>patches</a>/<a href='/guix/tree/gnu/packages/patches/emacs-undohist-ignored.patch?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>emacs-undohist-ignored.patch</a></div><div class='content'>blob: c1ad827a26e01d4b73061c3bdc649b0b4672ee36 (<a href='/guix/about/gnu/packages/patches/emacs-undohist-ignored.patch?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>about</a>) (<a href='/guix/plain/gnu/packages/patches/emacs-undohist-ignored.patch?id=a6a7336964da06abba9dd40ce8d7496c9c711177'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
</pre></td>
<td class='lines'><pre><code>From 52bfd419bf9022726048f818d955b8ea10a16d5c Mon Sep 17 00:00:00 2001
From: Patrick Mosby &lt;info@schreiblogade.de&gt;
Date: Mon, 7 Sep 2015 09:05:56 +0200
Subject: [PATCH] Don't save undo file for ignored files.

This fixes #4.
---
 undohist.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/undohist.el b/undohist.el
index b184a26..de60356 100644
--- a/undohist.el
+++ b/undohist.el
@@ -164,7 +164,8 @@ To use undohist, you just call this function."
                 undohist-ignored-files)))
 
 (defun undohist-save-1 ()
-  (when (consp buffer-undo-list)
+  (when (and (consp buffer-undo-list)
+             (undohist-recover-file-p (buffer-file-name (current-buffer))))
     (let ((file (make-undohist-file-name (buffer-file-name)))
           (contents `((digest . ,(md5 (current-buffer)))
                       (undo-list . ,(undohist-encode buffer-undo-list)))))
-- 
2.21.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>