<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: liquidprompt: Patch additional utilities - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/etc/snippets?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='f92f6f0a59554d6da976b99daca9c30ce475592a'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>nput type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>refs</a><a href='/guix/log/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>tree</a><a href='/guix/commit/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>commit</a><a href='/guix/diff/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch'>
<input type='hidden' name='id' value='2911aaa9ae54cf86d2a776c441f3559d4a838f16'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>root</a>/<a href='/guix/tree/gnu?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>gnu</a>/<a href='/guix/tree/gnu/packages?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>patches</a>/<a href='/guix/tree/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>emacs-wordnut-require-adaptive-wrap.patch</a></div><div class='content'>blob: be10254c33b1c14bd9a13560162d7d51658f8cba (<a href='/guix/about/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>about</a>) (<a href='/guix/plain/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch?id=2911aaa9ae54cf86d2a776c441f3559d4a838f16'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
</pre></td>
<td class='lines'><pre><code>Copyright © 2018 Mathieu Othacehe &lt;m.othacehe@gmail.com&gt;

This patch forces the use of adaptive-wrap. This feature is optional but we
prefer to enable it by default.

diff --git a/wordnut.el b/wordnut.el
index 0ae86ad..72f9221 100644
--- a/wordnut.el
+++ b/wordnut.el
@@ -4,6 +4,7 @@
 (require 'subr-x)
 (require 'outline)
 (require 'imenu)
+(require 'adaptive-wrap)
 
 (require 'wordnut-history)
 
-- 
2.17.1

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>