<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ect> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>refs</a><a href='/guix/log/gnu/packages/patches/emacs-zones-called-interactively.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/emacs-zones-called-interactively.patch?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>tree</a><a href='/guix/commit/gnu/packages/patches/emacs-zones-called-interactively.patch?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>commit</a><a href='/guix/diff/gnu/packages/patches/emacs-zones-called-interactively.patch?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/emacs-zones-called-interactively.patch'>
<input type='hidden' name='id' value='f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>root</a>/<a href='/guix/tree/gnu?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>gnu</a>/<a href='/guix/tree/gnu/packages?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>patches</a>/<a href='/guix/tree/gnu/packages/patches/emacs-zones-called-interactively.patch?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>emacs-zones-called-interactively.patch</a></div><div class='content'>blob: eefcfdd12edffd4e15ca5520c9828d27194ef1cb (<a href='/guix/about/gnu/packages/patches/emacs-zones-called-interactively.patch?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>about</a>) (<a href='/guix/plain/gnu/packages/patches/emacs-zones-called-interactively.patch?id=f4ec5e1a9823a66c27fe2bc033db7b58b29edfef'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
</pre></td>
<td class='lines'><pre><code>From 81603e53ebaae0f0b23c4c52c7dab83e808964ec Mon Sep 17 00:00:00 2001
From: Brian Leung &lt;bkleung89@gmail.com&gt;
Date: Sun, 17 Mar 2019 01:32:04 +0100
Subject: [PATCH] This patch silences the byte-compiler.

---
 zones.el | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/zones.el b/zones.el
index ca88d48..594ea36 100644
--- a/zones.el
+++ b/zones.el
@@ -1075,7 +1075,7 @@ You can use `C-x n x' to widen to a previous buffer restriction.
 
 This is a destructive operation. The list structure of the variable
 value can be modified."
-  (zz-narrow-advice (interactive-p)))
+  (zz-narrow-advice (called-interactively-p 'interactive)))
 
 (defadvice narrow-to-defun (after zz-add-zone--defun activate)
   "Push the defun limits to the current `zz-izones-var'.
@@ -1083,7 +1083,7 @@ You can use `C-x n x' to widen to a previous buffer restriction.
 
 This is a destructive operation. The list structure of the variable
 value can be modified."
-  (zz-narrow-advice (interactive-p)))
+  (zz-narrow-advice (called-interactively-p 'interactive)))
 
 ;; Call `zz-add-zone' if interactive or `zz-add-zone-anyway-p'.
 ;;
@@ -1093,7 +1093,7 @@ You can use `C-x n x' to widen to a previous buffer restriction.
 
 This is a destructive operation. The list structure of the variable
 value can be modified."
-  (zz-narrow-advice (interactive-p)))
+  (zz-narrow-advice (called-interactively-p 'interactive)))
 
 ;;(@* "General Commands")
 
-- 
2.22.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>