<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/lvm2-static-link.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='2fa26446a186664c6364de0536380e43113dc95f'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'><tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=2fa26446a186664c6364de0536380e43113dc95f'>refs</a><a href='/guix/log/gnu/packages/patches/evilwm-lost-focus-bug.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/evilwm-lost-focus-bug.patch?id=2fa26446a186664c6364de0536380e43113dc95f'>tree</a><a href='/guix/commit/gnu/packages/patches/evilwm-lost-focus-bug.patch?id=2fa26446a186664c6364de0536380e43113dc95f'>commit</a><a href='/guix/diff/gnu/packages/patches/evilwm-lost-focus-bug.patch?id=2fa26446a186664c6364de0536380e43113dc95f'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/evilwm-lost-focus-bug.patch'>
<input type='hidden' name='id' value='2fa26446a186664c6364de0536380e43113dc95f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=2fa26446a186664c6364de0536380e43113dc95f'>root</a>/<a href='/guix/tree/gnu?id=2fa26446a186664c6364de0536380e43113dc95f'>gnu</a>/<a href='/guix/tree/gnu/packages?id=2fa26446a186664c6364de0536380e43113dc95f'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=2fa26446a186664c6364de0536380e43113dc95f'>patches</a>/<a href='/guix/tree/gnu/packages/patches/evilwm-lost-focus-bug.patch?id=2fa26446a186664c6364de0536380e43113dc95f'>evilwm-lost-focus-bug.patch</a></div><div class='content'>blob: af24af8fe97c6a510427b9efa036e11e9aa2cc5f (<a href='/guix/about/gnu/packages/patches/evilwm-lost-focus-bug.patch?id=2fa26446a186664c6364de0536380e43113dc95f'>about</a>) (<a href='/guix/plain/gnu/packages/patches/evilwm-lost-focus-bug.patch?id=2fa26446a186664c6364de0536380e43113dc95f'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
</pre></td>
<td class='lines'><pre><code>evilwm may sometimes lose focus after closing a window.  This means that
evilwm stops responding to keyboard shortcuts, and if no other window is open
which the mouse can be moved over to regain focus evilwm becomes unusable and
has to be restarted.

Patch derived from discussion at
https://wiki.archlinux.org/index.php/Evilwm#Lost_focus_bug_fix

--- evilwm-1.1.1/client.c
+++ evilwm-1.1.1/client.c
@@ -172,6 +172,7 @@
 	 *  _NET_WM_STATE) */
 	if (c-&gt;remove) {
 		LOG_DEBUG("setting WithdrawnState\n");
+		XSetInputFocus(dpy, PointerRoot, RevertToPointerRoot, CurrentTime);
 		set_wm_state(c, WithdrawnState);
 		ewmh_withdraw_client(c);
 	} else {
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>