<!DOCTYPE html>
<html lang='en'>
<head>
<title>dbacl-include-locale.h.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/dbacl-include-locale.h.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='aa13c5657d4f8b5dd52beda88a9a8ccc59ebca86'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>'sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>refs</a><a href='/guix/log/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>tree</a><a href='/guix/commit/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>commit</a><a href='/guix/diff/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch'>
<input type='hidden' name='id' value='8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>root</a>/<a href='/guix/tree/gnu?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>gnu</a>/<a href='/guix/tree/gnu/packages?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>patches</a>/<a href='/guix/tree/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>extundelete-e2fsprogs-1.44.patch</a></div><div class='content'>blob: 5a93a39b23f16a2b18149c4a81fccbdf30bf6d80 (<a href='/guix/about/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>about</a>) (<a href='/guix/plain/gnu/packages/patches/extundelete-e2fsprogs-1.44.patch?id=8bd0b533b30d7ee5e03aee99a2eb96d5b0b1c836'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
</pre></td>
<td class='lines'><pre><code>From: Tobias Geerinckx-Rice &lt;me@tobias.gr&gt;
Date: Thu, 16 Aug 2018 21:12:30 +0200
Subject: extundelete: Fix build with e2fsprogs 1.44.

The ‘inode.i_file_acl’ field was replaced with ‘inode.i_size_high’. I'm
not sure the field name is still accurate or useful, so don't print it
at all.

Based on this[0] patch by ‘conikost’[1].

[0]: https://sourceforge.net/p/extundelete/tickets/5/
[1]: https://sourceforge.net/u/conikost

--- a/src/insertionops.cc	2012-12-30 18:23:32.000000000 +0100
+++ b/src/insertionops.cc	2018-05-07 22:58:13.065868723 +0200
@@ -33,7 +33,6 @@
   os &lt;&lt; "File flags: " &lt;&lt; inode.i_flags &lt;&lt; std::endl;
   os &lt;&lt; "File version (for NFS): " &lt;&lt; inode.i_generation &lt;&lt; std::endl;
   os &lt;&lt; "File ACL: " &lt;&lt; inode.i_file_acl &lt;&lt; std::endl;
-  os &lt;&lt; "Directory ACL: " &lt;&lt; inode.i_dir_acl &lt;&lt; std::endl;
   os &lt;&lt; "Fragment address: " &lt;&lt; inode.i_faddr &lt;&lt; std::endl;
   os &lt;&lt; "Direct blocks: ";
   for (int n = 0; n &lt; EXT2_NDIR_BLOCKS; n++)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>