<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='351201aae9f1a96b35a98382b6d1f6b283cfaf67'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=566146abba4626bc02816118dd80bae68b8497d5'>refs</a><a href='/guix/log/gnu/packages/patches/flac-fix-memcmp-not-declared.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/flac-fix-memcmp-not-declared.patch?id=566146abba4626bc02816118dd80bae68b8497d5'>tree</a><a href='/guix/commit/gnu/packages/patches/flac-fix-memcmp-not-declared.patch?id=566146abba4626bc02816118dd80bae68b8497d5'>commit</a><a href='/guix/diff/gnu/packages/patches/flac-fix-memcmp-not-declared.patch?id=566146abba4626bc02816118dd80bae68b8497d5'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/flac-fix-memcmp-not-declared.patch'>
<input type='hidden' name='id' value='566146abba4626bc02816118dd80bae68b8497d5'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=566146abba4626bc02816118dd80bae68b8497d5'>root</a>/<a href='/guix/tree/gnu?id=566146abba4626bc02816118dd80bae68b8497d5'>gnu</a>/<a href='/guix/tree/gnu/packages?id=566146abba4626bc02816118dd80bae68b8497d5'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=566146abba4626bc02816118dd80bae68b8497d5'>patches</a>/<a href='/guix/tree/gnu/packages/patches/flac-fix-memcmp-not-declared.patch?id=566146abba4626bc02816118dd80bae68b8497d5'>flac-fix-memcmp-not-declared.patch</a></div><div class='content'>blob: 9dd5c81ba5d1b2f2c14c41bb193da33353ba3c5a (<a href='/guix/about/gnu/packages/patches/flac-fix-memcmp-not-declared.patch?id=566146abba4626bc02816118dd80bae68b8497d5'>about</a>) (<a href='/guix/plain/gnu/packages/patches/flac-fix-memcmp-not-declared.patch?id=566146abba4626bc02816118dd80bae68b8497d5'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
</pre></td>
<td class='lines'><pre><code>See http://sourceforge.net/p/flac/bugs/364/

diff -Naur flac-1.2.1-orig/examples/cpp/encode/file/main.cpp flac-1.2.1-ae/examples/cpp/encode/file/main.cpp
--- flac-1.2.1-orig/examples/cpp/encode/file/main.cpp	2012-12-27 20:15:11.000000000 +0100
+++ flac-1.2.1-ae/examples/cpp/encode/file/main.cpp	2012-12-27 20:25:01.000000000 +0100
@@ -30,6 +30,7 @@
 
 #include &lt;stdio.h&gt;
 #include &lt;stdlib.h&gt;
+#include &lt;string.h&gt;
 #include "FLAC++/metadata.h"
 #include "FLAC++/encoder.h"
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>