<html><head><title>/scripts/</title></head>
<body>
<h2>/scripts/</h2>
<ul>
<li><a href='/guix/plain/?id=9f37dc3be3780f644efd4bd5af2ff039ebb51d75'>../</a></li>
  <li><a href='/guix/plain/scripts/guix.in?id=9f37dc3be3780f644efd4bd5af2ff039ebb51d75'>guix.in</a></li>
 </ul>
</body></html>
static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/flashrom-use-libftdi1.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='58c1806908117e6b83eb58dd6702cc889d21c133'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=58c1806908117e6b83eb58dd6702cc889d21c133'>refs</a><a href='/guix/log/gnu/packages/patches/flashrom-use-libftdi1.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/flashrom-use-libftdi1.patch?id=58c1806908117e6b83eb58dd6702cc889d21c133'>tree</a><a href='/guix/commit/gnu/packages/patches/flashrom-use-libftdi1.patch?id=58c1806908117e6b83eb58dd6702cc889d21c133'>commit</a><a href='/guix/diff/gnu/packages/patches/flashrom-use-libftdi1.patch?id=58c1806908117e6b83eb58dd6702cc889d21c133'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/flashrom-use-libftdi1.patch'>
<input type='hidden' name='id' value='58c1806908117e6b83eb58dd6702cc889d21c133'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=58c1806908117e6b83eb58dd6702cc889d21c133'>root</a>/<a href='/guix/tree/gnu?id=58c1806908117e6b83eb58dd6702cc889d21c133'>gnu</a>/<a href='/guix/tree/gnu/packages?id=58c1806908117e6b83eb58dd6702cc889d21c133'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=58c1806908117e6b83eb58dd6702cc889d21c133'>patches</a>/<a href='/guix/tree/gnu/packages/patches/flashrom-use-libftdi1.patch?id=58c1806908117e6b83eb58dd6702cc889d21c133'>flashrom-use-libftdi1.patch</a></div><div class='content'>blob: a6051df30aa0f78507aebffec36e74258e047f31 (<a href='/guix/about/gnu/packages/patches/flashrom-use-libftdi1.patch?id=58c1806908117e6b83eb58dd6702cc889d21c133'>about</a>) (<a href='/guix/plain/gnu/packages/patches/flashrom-use-libftdi1.patch?id=58c1806908117e6b83eb58dd6702cc889d21c133'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
</pre></td>
<td class='lines'><pre><code>Update to libftdi-1.0 is advertised as a drop-in replacement for libftdi,
running on top of libusb-1.0. This also removes indirect dependency to
libusb-0.1.

Patch by Kyösti Mälkki &lt;kyosti.malkki@gmail.com&gt;.
See &lt;http://patchwork.coreboot.org/patch/3904/&gt;.

--- flashrom/Makefile.orig	2013-08-13 18:00:00.000000000 -0400
+++ flashrom/Makefile	2014-08-05 03:10:40.217145375 -0400
@@ -492,19 +492,21 @@
 ifeq ($(CONFIG_FT2232_SPI), yes)
 # This is a totally ugly hack.
 FEATURE_CFLAGS += $(shell LC_ALL=C grep -q "FTDISUPPORT := yes" .features &amp;&amp; printf "%s" "-D'CONFIG_FT2232_SPI=1'")
-NEED_FTDI := yes
+NEED_FTDI1 := yes
 PROGRAMMER_OBJS += ft2232_spi.o
 endif
 
 ifeq ($(CONFIG_USBBLASTER_SPI), yes)
 # This is a totally ugly hack.
 FEATURE_CFLAGS += $(shell LC_ALL=C grep -q "FTDISUPPORT := yes" .features &amp;&amp; printf "%s" "-D'CONFIG_USBBLASTER_SPI=1'")
-NEED_FTDI := yes
+NEED_LIBUSB1 := yes
+NEED_FTDI1 := yes
 PROGRAMMER_OBJS += usbblaster_spi.o
 endif
 
-ifeq ($(NEED_FTDI), yes)
-FTDILIBS := $(shell pkg-config --libs libftdi 2&gt;/dev/null || printf "%s" "-lftdi -lusb")
+ifeq ($(NEED_FTDI1), yes)
+FTDILIBS := $(shell pkg-config --libs libftdi1 2&gt;/dev/null || printf "%s" "-lftdi1 -lusb-1.0")
+FEATURE_CFLAGS += $(shell pkg-config --cflags libftdi1 2&gt;/dev/null)
 FEATURE_CFLAGS += $(shell LC_ALL=C grep -q "FT232H := yes" .features &amp;&amp; printf "%s" "-D'HAVE_FT232H=1'")
 FEATURE_LIBS += $(shell LC_ALL=C grep -q "FTDISUPPORT := yes" .features &amp;&amp; printf "%s" "$(FTDILIBS)")
 # We can't set NEED_USB here because that would transform libftdi auto-enabling
@@ -781,6 +783,7 @@
 endif
 
 define FTDI_TEST
+#include &lt;stddef.h&gt;
 #include &lt;ftdi.h&gt;
 struct ftdi_context *ftdic = NULL;
 int main(int argc, char **argv)
@@ -793,6 +796,7 @@
 export FTDI_TEST
 
 define FTDI_232H_TEST
+#include &lt;stddef.h&gt;
 #include &lt;ftdi.h&gt;
 enum ftdi_chip_type type = TYPE_232H;
 endef
@@ -826,15 +830,15 @@
 
 features: compiler
 	@echo "FEATURES := yes" &gt; .features.tmp
-ifeq ($(NEED_FTDI), yes)
+ifeq ($(NEED_FTDI1), yes)
 	@printf "Checking for FTDI support... "
 	@echo "$$FTDI_TEST" &gt; .featuretest.c
-	@$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) .featuretest.c -o .featuretest$(EXEC_SUFFIX) $(FTDILIBS) $(LIBS) &gt;/dev/null 2&gt;&amp;1 &amp;&amp;	\
+	@$(CC) $(CPPFLAGS) $(CFLAGS) $(FEATURE_CFLAGS) $(LDFLAGS) .featuretest.c -o .featuretest$(EXEC_SUFFIX) $(FTDILIBS) $(LIBS) &gt;/dev/null 2&gt;&amp;1 &amp;&amp;	\
 		( echo "found."; echo "FTDISUPPORT := yes" &gt;&gt; .features.tmp ) ||	\
 		( echo "not found."; echo "FTDISUPPORT := no" &gt;&gt; .features.tmp )
 	@printf "Checking for FT232H support in libftdi... "
 	@echo "$$FTDI_232H_TEST" &gt;&gt; .featuretest.c
-	@$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) .featuretest.c -o .featuretest$(EXEC_SUFFIX) $(FTDILIBS) $(LIBS) &gt;/dev/null 2&gt;&amp;1 &amp;&amp;	\
+	@$(CC) $(CPPFLAGS) $(CFLAGS) $(FEATURE_CFLAGS) $(LDFLAGS) .featuretest.c -o .featuretest$(EXEC_SUFFIX) $(FTDILIBS) $(LIBS) &gt;/dev/null 2&gt;&amp;1 &amp;&amp;	\
 		( echo "found."; echo "FT232H := yes" &gt;&gt; .features.tmp ) ||	\
 		( echo "not found."; echo "FT232H := no" &gt;&gt; .features.tmp )
 endif
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>