<!DOCTYPE html>
<html lang='en'>
<head>
<title>glibc-hurd-signal-sa-siginfo.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/glibc-hurd-signal-sa-siginfo.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='8eefb81b773a400f49d79410656f72ff2bbc1602'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>'sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>refs</a><a href='/guix/log/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>tree</a><a href='/guix/commit/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>commit</a><a href='/guix/diff/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch'>
<input type='hidden' name='id' value='8eefb81b773a400f49d79410656f72ff2bbc1602'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>root</a>/<a href='/guix/tree/gnu?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>gnu</a>/<a href='/guix/tree/gnu/packages?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>patches</a>/<a href='/guix/tree/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>fuzzylite-relative-path-in-tests.patch</a></div><div class='content'>blob: 1a0323824669d863ac7dd0ed4e0be00a7e453bce (<a href='/guix/about/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>about</a>) (<a href='/guix/plain/gnu/packages/patches/fuzzylite-relative-path-in-tests.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></td>
<td class='lines'><pre><code>Workaround https://github.com/fuzzylite/fuzzylite/issues/85

diff --git a/fuzzylite/test/BenchmarkTest.cpp b/fuzzylite/test/BenchmarkTest.cpp
index f868ec29..464d394d 100644
--- a/fuzzylite/test/BenchmarkTest.cpp
+++ b/fuzzylite/test/BenchmarkTest.cpp
@@ -30,7 +30,7 @@ namespace fl {
     }
 
     TEST_CASE("Benchmarks from FLD files", "[benchmark][fld]") {
-        std::string path = "../../examples/";
+        std::string path = "../examples/";
         typedef std::pair&lt;std::string, int &gt; Example;
         std::vector&lt;Example&gt; examples;
         examples.push_back(Example("mamdani/AllTerms", int(1e4)));
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>