Last-Modified: Sun, 12 Jan 2025 03:06:04 GMT
Expires: Wed, 10 Jan 2035 03:06:04 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>gcc-8-cross-environment-variables.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/gcc-8-cross-environment-variables.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='820bf78cbc487d28457acc6cb790f4cbd7cc49b9'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>refs</a><a href='/guix/log/gnu/packages/patches/gcc-8-cross-environment-variables.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/gcc-8-cross-environment-variables.patch?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>tree</a><a href='/guix/commit/gnu/packages/patches/gcc-8-cross-environment-variables.patch?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>commit</a><a href='/guix/diff/gnu/packages/patches/gcc-8-cross-environment-variables.patch?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/gcc-8-cross-environment-variables.patch'>
<input type='hidden' name='id' value='820bf78cbc487d28457acc6cb790f4cbd7cc49b9'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>root</a>/<a href='/guix/tree/gnu?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>gnu</a>/<a href='/guix/tree/gnu/packages?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>patches</a>/<a href='/guix/tree/gnu/packages/patches/gcc-8-cross-environment-variables.patch?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>gcc-8-cross-environment-variables.patch</a></div><div class='content'>blob: 0ebf5705c9223bcc9bb4a9792f7fe00ce258a147 (<a href='/guix/about/gnu/packages/patches/gcc-8-cross-environment-variables.patch?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>about</a>) (<a href='/guix/plain/gnu/packages/patches/gcc-8-cross-environment-variables.patch?id=820bf78cbc487d28457acc6cb790f4cbd7cc49b9'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
</pre></td>
<td class='lines'><pre><code>Search path environment variables for cross-compilers.  See the discussion
at &lt;http://gcc.gnu.org/ml/gcc/2013-02/msg00124.html&gt;.

Note: Touch 'C_INCLUDE_PATH' et al. rather than 'CPATH', as discussed
at &lt;http://bugs.gnu.org/22186&gt;.

diff --git a/gcc/gcc.c b/gcc/gcc.c
index a716f708259..dc7862f413a 100644
--- a/gcc/gcc.c
+++ b/gcc/gcc.c
@@ -4342,7 +4342,7 @@ process_command (unsigned int decoded_options_count,
     }

   temp = env.get (LIBRARY_PATH_ENV);
-  if (temp &amp;&amp; *cross_compile == '0')
+  if (temp)
     {
       const char *startp, *endp;
       char *nstore = (char *) alloca (strlen (temp) + 3);
diff --git a/gcc/incpath.c b/gcc/incpath.c
index b11c6a57939..a66a94a04e5 100644
--- a/gcc/incpath.c
+++ b/gcc/incpath.c
@@ -472,8 +472,8 @@ register_include_chains (cpp_reader *pfile, const char *sysroot,
 			 int stdinc, int cxx_stdinc, int verbose)
 {
   static const char *const lang_env_vars[] =
-    { "C_INCLUDE_PATH", "CPLUS_INCLUDE_PATH",
-      "OBJC_INCLUDE_PATH", "OBJCPLUS_INCLUDE_PATH" };
+    { "CROSS_C_INCLUDE_PATH", "CROSS_CPLUS_INCLUDE_PATH",
+      "CROSS_OBJC_INCLUDE_PATH", "CROSS_OBJCPLUS_INCLUDE_PATH" };
   cpp_options *cpp_opts = cpp_get_options (pfile);
   size_t idx = (cpp_opts-&gt;objc ? 2: 0);

@@ -484,7 +484,7 @@ register_include_chains (cpp_reader *pfile, const char *sysroot,

   /* CPATH and language-dependent environment variables may add to the
      include chain.  */
-  add_env_var_paths ("CPATH", INC_BRACKET);
+  add_env_var_paths ("CROSS_CPATH", INC_BRACKET);
   add_env_var_paths (lang_env_vars[idx], INC_SYSTEM);

   target_c_incpath.extra_pre_includes (sysroot, iprefix, stdinc);
diff --git a/gcc/system.h b/gcc/system.h
index 4abc321c71d..d6186476024 100644
--- a/gcc/system.h
+++ b/gcc/system.h
@@ -1209,4 +1209,6 @@ helper_const_non_const_cast (const char *p)
 void qsort_chk (void *, size_t, size_t, int (*)(const void *, const void *));
 #endif

+#define LIBRARY_PATH_ENV "CROSS_LIBRARY_PATH"
+
 #endif /* ! GCC_SYSTEM_H */
diff --git a/gcc/tlink.c b/gcc/tlink.c
index ec20bd2fa0f..cd17bdce004 100644
--- a/gcc/tlink.c
+++ b/gcc/tlink.c
@@ -456,7 +456,7 @@ recompile_files (void)
   file *f;

   putenv (xstrdup ("COMPILER_PATH="));
-  putenv (xstrdup ("LIBRARY_PATH="));
+  putenv (xstrdup (LIBRARY_PATH_ENV "="));

   while ((f = file_pop ()) != NULL)
     {
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>