<!DOCTYPE html>
<html lang='en'>
<head>
<title>configure.ac - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/configure.ac?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='6f5106c761b5a7e46dec250b635e27ddef2fd632'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'><input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>refs</a><a href='/guix/log/gnu/packages/patches/gcc-asan-missing-include.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/gcc-asan-missing-include.patch?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>tree</a><a href='/guix/commit/gnu/packages/patches/gcc-asan-missing-include.patch?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>commit</a><a href='/guix/diff/gnu/packages/patches/gcc-asan-missing-include.patch?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/gcc-asan-missing-include.patch'>
<input type='hidden' name='id' value='425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>root</a>/<a href='/guix/tree/gnu?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/gcc-asan-missing-include.patch?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>gcc-asan-missing-include.patch</a></div><div class='content'>blob: 74b10c4a44785e65d24361a9a4e50509afb38811 (<a href='/guix/about/gnu/packages/patches/gcc-asan-missing-include.patch?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/gcc-asan-missing-include.patch?id=425ccde6ae7bd4b448ee2fffd8c0b6b7bcbb543c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
</pre></td>
<td class='lines'><pre><code>Add missing include that triggers a build failure on PowerPC:

  ../../../../gcc-5.4.0/libsanitizer/asan/asan_linux.cc: In function ‘bool __asan::AsanInterceptsSignal(int)’:
  ../../../../gcc-5.4.0/libsanitizer/asan/asan_linux.cc:222:20: error: ‘SIGSEGV’ was not declared in this scope
     return signum == SIGSEGV &amp;&amp; common_flags()-&gt;handle_segv;
		      ^
From &lt;https://patchwork.ozlabs.org/patch/725596/&gt;.

diff --git a/libsanitizer/asan/asan_linux.cc b/libsanitizer/asan/asan_linux.cc
index c504168..59087b9 100644
--- a/libsanitizer/asan/asan_linux.cc
+++ b/libsanitizer/asan/asan_linux.cc
@@ -29,6 +29,7 @@
 #include &lt;dlfcn.h&gt;
 #include &lt;fcntl.h&gt;
 #include &lt;pthread.h&gt;
+#include &lt;signal.h&gt;
 #include &lt;stdio.h&gt;
 #include &lt;unistd.h&gt;
 #include &lt;unwind.h&gt;
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>