<!DOCTYPE html>
<html lang='en'>
<head>
<title>gcc-4.9.3-mingw-gthr-default.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/gcc-4.9.3-mingw-gthr-default.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='47d0346553fdad9795c9390a60944ccaad7e5255'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>t'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=47d0346553fdad9795c9390a60944ccaad7e5255'>refs</a><a href='/guix/log/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch?id=47d0346553fdad9795c9390a60944ccaad7e5255'>tree</a><a href='/guix/commit/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch?id=47d0346553fdad9795c9390a60944ccaad7e5255'>commit</a><a href='/guix/diff/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch?id=47d0346553fdad9795c9390a60944ccaad7e5255'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch'>
<input type='hidden' name='id' value='47d0346553fdad9795c9390a60944ccaad7e5255'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=47d0346553fdad9795c9390a60944ccaad7e5255'>root</a>/<a href='/guix/tree/gnu?id=47d0346553fdad9795c9390a60944ccaad7e5255'>gnu</a>/<a href='/guix/tree/gnu/packages?id=47d0346553fdad9795c9390a60944ccaad7e5255'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=47d0346553fdad9795c9390a60944ccaad7e5255'>patches</a>/<a href='/guix/tree/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch?id=47d0346553fdad9795c9390a60944ccaad7e5255'>ghc-9.2-glibc-2.33-link-order.patch</a></div><div class='content'>blob: 5d4afa28c1417714ea8d233644b2ff14711ed1d4 (<a href='/guix/about/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch?id=47d0346553fdad9795c9390a60944ccaad7e5255'>about</a>) (<a href='/guix/plain/gnu/packages/patches/ghc-9.2-glibc-2.33-link-order.patch?id=47d0346553fdad9795c9390a60944ccaad7e5255'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
</pre></td>
<td class='lines'><pre><code>Slightly modified version of
https://gitlab.haskell.org/ghc/ghc/-/issues/19029#note_447989, required
for older, buggy glibc versions &lt; 2.34.

diff -Naur ghc-9.2.5/compiler/GHC/Linker/Unit.hs ghc-9.2.5.patched/compiler/GHC/Linker/Unit.hs
--- ghc-9.2.5/compiler/GHC/Linker/Unit.hs	2022-11-06 20:40:29.000000000 +0100
+++ ghc-9.2.5.patched/compiler/GHC/Linker/Unit.hs	2023-01-15 14:52:57.511275338 +0100
@@ -31,11 +31,26 @@
     ps &lt;- mayThrowUnitErr $ preloadUnitsInfo' unit_env pkgs
     return (collectLinkOpts dflags ps)
 
+fixOrderLinkOpts :: [String] -&gt; [String]
+fixOrderLinkOpts opts
+  | have_bad_glibc_version -- glibc version strictly less than 2.34
+  , let (before, rest) = break (== libc) opts
+  , not (pthread `elem` before)
+  , pthread `elem` rest -- optional if we know pthread is definitely present
+  = before ++ pthread_and_deps ++ rest
+  | otherwise
+  = opts
+  where
+    pthread = "-lpthread"
+    libc = "-lc"
+    pthread_and_deps = [ "-lrt", pthread ] -- should depend on the environment
+    have_bad_glibc_version = True
+
 collectLinkOpts :: DynFlags -&gt; [UnitInfo] -&gt; ([String], [String], [String])
 collectLinkOpts dflags ps =
     (
         concatMap (map ("-l" ++) . unitHsLibs (ghcNameVersion dflags) (ways dflags)) ps,
-        concatMap (map ("-l" ++) . map ST.unpack . unitExtDepLibsSys) ps,
+        fixOrderLinkOpts $ concatMap (map ("-l" ++) . map ST.unpack . unitExtDepLibsSys) ps,
         concatMap (map ST.unpack . unitLinkerOptions) ps
     )
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>