ODULE_FILE.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='aeec4a8fc1dce690b5d6aeb163871aca93d50111'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>refs</a><a href='/guix/log/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>tree</a><a href='/guix/commit/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>commit</a><a href='/guix/diff/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch'>
<input type='hidden' name='id' value='aeec4a8fc1dce690b5d6aeb163871aca93d50111'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>root</a>/<a href='/guix/tree/gnu?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>gnu</a>/<a href='/guix/tree/gnu/packages?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>patches</a>/<a href='/guix/tree/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch</a></div><div class='content'>blob: f399024f1d404e88f32fab38503ebf55db670d7f (<a href='/guix/about/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>about</a>) (<a href='/guix/plain/gnu/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch?id=aeec4a8fc1dce690b5d6aeb163871aca93d50111'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
</pre></td>
<td class='lines'><pre><code>This patch replaces the environment variable "GTK_IM_MODULE" with
"GUIX_GTK2_IM_MODULE_FILE" to prevent this version of GTK+ from loading input
method modules for other major versions of GTK+.

--- gtk+-2.24.30/gtk/gtkrc.c	2016-08-21 22:40:22.339660438 +0200
+++ gtk+-2.24.30/gtk/gtkrc.c	2016-08-23 10:11:11.080822710 +0200
@@ -439,7 +439,7 @@
 gchar *
 gtk_rc_get_im_module_file (void)
 {
-  const gchar *var = g_getenv ("GTK_IM_MODULE_FILE");
+  const gchar *var = g_getenv ("GUIX_GTK2_IM_MODULE_FILE");
   gchar *result = NULL;
 
   if (var)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>